Event (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface Event

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment
  All Known Subinterfaces:
    CommentMarker, DescriptiveMarker, GPITrigger
  All Known Implementing Classes:
    CommentMarkerImpl, DescriptiveMarkerImpl, EventImpl, GPITriggerImpl

      public interface Event
      extends Segment

  Specifies a text comment, a trigger, or an area in the image that has an associated interactive action.

  See Also:
    `EventTrack`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `clone()` Create a cloned copy of this event.
    `String` | `getEventComment()` Returns the comment that specifies the purpose of this event.
    `long` | `getEventPosition()` Returns the position of this event, which specifies the starting time of the event in an event track.
    `void` | `setEventComment(String eventComment)` Set a comment that specifies the purpose of the event.
    `void` | `setEventPosition(long eventPosition)` Sets the position of this event, which specifies the starting time of the event in an event track.

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getEventPosition

          @PositionType
          long getEventPosition()
                                       throws BadPropertyException

      Returns the position of this event, which specifies the starting time of the event in an event track.

      Returns:
        Position of this event in an event track.
      Throws:
        `BadPropertyException` - The position property is not present in the context of this event.

    - #### setEventPosition

          void setEventPosition(@PositionType
                                long eventPosition)
                         throws BadPropertyException

      Sets the position of this event, which specifies the starting time of the event in an event track.

      Parameters:
        `eventPosition` - The position for this event in an event track.
      Throws:
        `BadPropertyException` - The position property is not present in the context of this event.

    - #### setEventComment

          void setEventComment(@AAFString
                               String eventComment)

      Set a comment that specifies the purpose of the event. Set this optional property to `null` to omit it.

      Parameters:
        `eventComment` - Comment to set for this event.

    - #### getEventComment

          @AAFString
          String getEventComment()
                                     throws PropertyNotPresentException

      Returns the comment that specifies the purpose of this event. This is an optional property.

      Returns:
        Comment describing this event.
      Throws:
        `PropertyNotPresentException` - The optional comment property is not present in this event.

    - #### clone

          Event clone()

      Create a cloned copy of this event.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Segment`
      Returns:
        Cloned copy of this event.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.